Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcbase
Class OGCException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.deegree.ogcbase.OGCException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  OGCWebServiceException

    public class OGCException

extends Exception

Version:
  $Revision: 18195 $, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Field Summary
`protected ExceptionCode` | `code`

Constructor Summary
`OGCException()`
`OGCException(String message)`
`OGCException(String message, ExceptionCode code)`

Method Summary
`ExceptionCode` | `getCode()` returns the code of the exception as defined in the OGC web service

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### code

    protected ExceptionCode code

Constructor Detail

### OGCException

    public OGCException()

### OGCException

    public OGCException(String message)

Parameters:
  `message` -

### OGCException

    public OGCException(String message,
                        ExceptionCode code)

Parameters:
  `message` -
  `code` - of the exception

Method Detail

### getCode

    public ExceptionCode getCode()

  returns the code of the exception as defined in the OGC web service

  Returns:
    the code of the exception as defined in the OGC web service

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org